package com.zcxk.client;


import com.zcxk.config.FeignConfig;
import com.zcxk.model.AjaxMessage;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

@FeignClient(value = "sms-water",configuration={FeignConfig.class})
public interface SmsWaterClient {

    @GetMapping("/scene/selectAlarmDeviceIdBySenceId")
    AjaxMessage<List<Map<String,Object>>> selectAlarmDeviceIdBySenceId(@RequestParam("id") int id);
}
