package com.zcxk.evaluation.dao;

import com.zcxk.evaluation.entity.EvaluationItemValueEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sc_evaluation_item_valueDAO接口
 * @author: WYY
 * @date 2021-05-08 09:27
 */
@Mapper
public interface EvaluationItemValueMapper extends BaseMapper<EvaluationItemValueEntity> {

    /**
     * 自定义分页查询
     *
     * @param page
     * @param evaluationItemValueEntity 实体类
     */
    Page<EvaluationItemValueEntity> findPage(IPage<EvaluationItemValueEntity> page,
                                             @Param("evaluationItemValue") EvaluationItemValueEntity evaluationItemValueEntity);

    EvaluationItemValueEntity findEvaluationItemValueById(Serializable id);


    List<EvaluationItemValueEntity> findList(EvaluationItemValueEntity evaluationItemValueEntity);

    boolean updateByItemId(@Param("id") Long id);
    /**删除相关方法  使用mybatis-plus集成的 **/
}
