package com.zcxk.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "报警信息生成的工单信息")
@Data
public class WorkOrderManageByAlarmDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "一级场景名称")
    private Integer parentSceneId;

    @ApiModelProperty(value = "一级场景名称")
    private String parentSceneName;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "租户id")
    private String tenantId;

    @ApiModelProperty(value = "工单描述")
    private String taskDesc;

    @ApiModelProperty(value = "工单编号")
    private String taskNo;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "报警时间")
    private String orderTime;

    @ApiModelProperty(value = "公司机构id")
    private String companyOrgId;

    @ApiModelProperty(value = "部门机构id")
    private String departmentOrgId;

    @ApiModelProperty(value = "经纬度")
    private String geo;

    @ApiModelProperty(value = "0未接单、1进行中、2完成")
    private Integer orderStatus;

}