package com.zcxk.process.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * (UserForm)实体类
 *
 * @author hym
 * @since 2020-12-22 10:36:20
 */
@Data
@ApiModel
public class UserForm implements Serializable {
    private static final long serialVersionUID = 420144356727088164L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 表单名称
     */
    @ApiModelProperty(value = "表单名称")
    private String formName;
    /**
     * 表单key
     */
    @ApiModelProperty(value = "表单key")
    private String formKey;
    /**
     * 表单内容
     */
    @ApiModelProperty(value = "表单内容")
    private String formContent;
    /**
     * 表单分类
     */
    @ApiModelProperty(value = "表单分类")
    private String formCategory;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;
    @ApiModelProperty(value = "表单按钮列表")
    private List<UserActionDesc> userActionList;
}