package com.zcxk.dao.alarm;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.dto.alarm.DataAlarmDto;
import com.zcxk.dto.alarm.DataAlarmQueryDto;
import com.zcxk.entity.alarm.DataAlarmAnalysisEntity;
import com.zcxk.vo.DataAlarmAnalysisVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 数据报警分析mapper
 *
 * @author lihui
 * @version V1.0
 * @date 2021/5/31
 **/
@Mapper
public interface DataAlarmAnalysisMapper {

    /***
     * 保存数据
     * @author lihui
     * @date 14:21 2021/6/1
     * @param entity :
     * @return void
     **/
    void saveDataAlarmAnalysis(DataAlarmAnalysisEntity entity);

    /***
     * 分页查询
     * @author lihui
     * @date 15:01 2021/5/31
     * @param page : 页码
     * @param dto :  参数
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.vo.DataAlarmDetailsVo>
     **/
    Page<DataAlarmAnalysisVo> findPage(@Param("page") IPage<DataAlarmDto> page, DataAlarmQueryDto dto);
}
