package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 租户(Tenant)实体类
 *
 * @author makejava
 * @since 2020-10-23 14:13:21
 */
@Data
@ApiModel
public class Tenant implements Serializable {
    private static final long serialVersionUID = 964623615241751662L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 租户名称
     */
    @ApiModelProperty(value = "租户名称")
    private String tenantName;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String code;
    /**
     * 租户Logo
     */
    @ApiModelProperty(value = "租户Logo")
    private String logo;
    /**
     * 租户域名
     */
    @ApiModelProperty(value = "租户域名")
    private String webUrl;
    /**
     * 租期开始日期
     */
    @ApiModelProperty(value = "租期开始日期")
    private Date startDate;
    @ApiModelProperty(value = "")
    private Date endDate;
    @ApiModelProperty(value = "")
    private Integer tenantState;
    @ApiModelProperty(value = "")
    private String remark;
    @ApiModelProperty(value = "")
    private Integer status;
    @ApiModelProperty(value = "")
    private Date dateCreate;
    @ApiModelProperty(value = "")
    private String createBy;
    @ApiModelProperty(value = "")
    private Date dateUpdate;
    @ApiModelProperty(value = "")
    private String updateBy;
}