package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dto.QueryCondition;
import com.zcxk.entity.UserRegister;

import java.util.List;

/**
 * 用户注册(UserRegister)表服务接口
 *
 * @author yjy
 * @since 2020-10-29
 */
public interface UserRegisterService {
    /**
     * 新增数据
     *
     * @param userRegister 实例对象
     * @return 影响行数
     */
    int insert(UserRegister userRegister);



    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 影响行数
     */
    int deleteById(Long[] ids);


    /**
     * 分页查询
     *
     * @return 对象列表
     */
    IPage<UserRegister> selectPage(UserRegister userRegister, IPage<UserRegister> page);

    /**
     * 通过条件查询
     * @return 对象列表
     */
    List<UserRegister> selectListByCondition(QueryCondition queryCondition);
}