package com.zcxk.charge.api.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Andy
 */
@Data
public class AppSmsDataDto {

    @ApiModelProperty("供水量or制水量")
    private Double yieldWaterUsage;

    @ApiModelProperty("取水量or进水量")
    private Double intakeWaterUsage;

    @ApiModelProperty("耗电量")
    private Double powerUsage;

    @ApiModelProperty("耗药量")
    private Double drugUsage;

    @ApiModelProperty(value = "售水量")
    private Double waterUsage;

    @ApiModelProperty(value = "产销差")
    private Double waterFeeRecoveryRate;

}
