package com.zcxk.charge.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Andy
 */
@Data
@ApiModel("统计报表日报月报年报")
public class DeviceReportDto implements Serializable {

    private static final long serialVersionUID = 4074399088580570408L;

    @ApiModelProperty("年")
    private Integer year;

    @ApiModelProperty("月")
    private Integer month;

    @ApiModelProperty("日")
    private Integer day;

    @ApiModelProperty("时")
    private Integer hour;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;

    @ApiModelProperty("设备数据")
    List<ReportAttributeDto> dataValues;

    @ApiModelProperty(value = "统计时间")
    private String collectDate;
}
