package com.zcxk.charge.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
* @author Andy
**/
@Data
public class SetupMethod {

    private String deviceMode;

    private String deviceType;

    private String manufacturer;

    private String method;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date receiveTime;

    private String unitIdentifier;

    private Object params;
}
