package com.zcxk.charge.api.vo;

import com.zcxk.charge.api.dto.MonitorDataChartReportAttributeDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description
 * @author  wangli
 * @data 2020/12/7 8:50
 */
@Data
@Api("图表报表——设备")
public class MonitorDataChartReportDeviceVo implements Serializable {

    private static final long serialVersionUID = 1082867246166646172L;
    @ApiModelProperty("设备编码")
    private String devoceCode;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("属性数据")
    private List<MonitorDataChartReportAttributeDto> attributeData;
}
