package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.charge.core.entity.DeviceSetupMethodEntity;
import org.apache.ibatis.annotations.Mapper;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_setup_methodDAO接口
 * @author: WYY
 * @date 2021-05-10 14:39
 */
@Mapper
public interface DeviceSetupMethodMapper extends BaseMapper<DeviceSetupMethodEntity> {

     /**
     * 查找单个
     * @author Andy
     * @date 18:03 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceSetupMethodEntity
     **/
     DeviceSetupMethodEntity findDeviceSetupMethodById(Serializable id);

     /**
     * 查找集合
     * @author Andy
     * @date 18:03 2021/8/17
     * @param deviceSetupMethodEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceSetupMethodEntity>
     **/
     List<DeviceSetupMethodEntity> findList(DeviceSetupMethodEntity deviceSetupMethodEntity);

}
