package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.charge.core.entity.DeviceSetupRecordEntity;
import org.apache.ibatis.annotations.Mapper;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_setup_recordDAO接口
 * @author: WYY
 * @date 2021-05-10 14:39
 */
@Mapper
public interface DeviceSetupRecordMapper extends BaseMapper<DeviceSetupRecordEntity> {

     /**
     * 查询单个
     * @author Andy
     * @date 9:14 2021/8/18
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceSetupRecordEntity
     **/
     DeviceSetupRecordEntity findDeviceSetupRecordById(Serializable id);

     /**
     * 查询集合
     * @author Andy
     * @date 9:15 2021/8/18
     * @param deviceSetupRecordEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceSetupRecordEntity>
     **/
     List<DeviceSetupRecordEntity> findList(DeviceSetupRecordEntity deviceSetupRecordEntity);

     /**
     * 查询最后
     * @author Andy
     * @date 9:15 2021/8/18
     * @param deviceSetupRecordEntity:
     * @return com.zcxk.charge.core.entity.DeviceSetupRecordEntity
     **/
     DeviceSetupRecordEntity selectLastOne(DeviceSetupRecordEntity deviceSetupRecordEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
