package com.zcxk.charge.core.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * @description
 * @author  wangli
 * @data 2020-12-01 10:14
 */
@Data
@Document(collection = "SMS_MONITOR_DATA")
public class MonitorDataEntity implements Serializable {

    private static final long serialVersionUID = 1631901801203895285L;

    @ApiModelProperty("主键")
    private BigInteger id;

    @ApiModelProperty("年")
    private Integer year;

    @ApiModelProperty("月")
    private Integer month;

    @ApiModelProperty("日")
    private Integer day;

    @ApiModelProperty("时")
    private Integer hour;

    @ApiModelProperty("租户标识")
    private String tenantId;

    @ApiModelProperty("设备信息")
    private Integer deviceId;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("设备编号")
    private String deviceCode;

    @ApiModelProperty("设备数据")
    List<MonitorDataValueEntity> dataValues;

    @ApiModelProperty("采集时间")
    private Date collectDate;
}
