package com.zcxk.rmcp.api.dto.install;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;

/**
 * @author linqingwei
 * @date 2021-07-29 10:17
 */
@Data
@ApiModel
public class InstallQueryDto {

    @NotNull(message = "id参数值不能为空")
    @ApiModelProperty(value = "安装计划id",required = true)
    private Integer id;

    @ApiModelProperty("设备编号")
    private String deviceNo;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("设备状态")
    private Integer deviceStatus;

    @ApiModelProperty("验收状态")
    private Integer isAccept;
}
