package com.zcxk.rmcp.api.dto.readrate;

import com.zcxk.rmcp.api.dto.BasePageDto;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表率入参
 * @date 2021/7/26
 **/
@Data
public class ReadRateDto extends BasePageDto {

    @ApiModelProperty(value = "类型")
    private int statDaysCode;

    @ApiModelProperty(value = "分类ID")
    private Integer categoryId;

    @ApiModelProperty(value = "抄表率起止")
    private BigDecimal readRateBegin;

    @ApiModelProperty(value = "抄表率结束")
    private BigDecimal readRateEnd;

    @ApiModelProperty(value = "排序：0 升序，1 降序")
    private Integer sort;
}
