package com.zcxk.rmcp.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-08-10 15:49
 */
@Data
public class DeviceAlarmVo {
    @ApiModelProperty(value="id")
    private Long id;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="档案号")
    private String fileNo;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value="测点数据")
    private String measuringData;

    @ApiModelProperty(value="产品名称")
    private String productName;

    @ApiModelProperty(value="产品型号")
    private String productModel;

    @ApiModelProperty(value="厂商名称")
    private String manufacturerName;

    @ApiModelProperty(value="公司名称")
    private String companyName;

    @ApiModelProperty(value="部门名称")
    private String deptName;

    @ApiModelProperty(value="告警类型名称")
    private String alarmTypeName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="最后告警时间")
    private LocalDateTime lastAlarmTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="处理时间")
    private LocalDateTime handleTime;


}
