package com.zcxk.rmcp.api.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.zcxk.rmcp.api.pojo.LocalDateTimeConverter;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-08-18 10:28
 */
@Data
public class DownloadAlarmVo {

    @ExcelProperty(value = "告警类型" ,index = 0)
    private String alarmTypeName;

    @ExcelProperty(value = "告警时间" ,index = 1,converter = LocalDateTimeConverter.class)
    private LocalDateTime lastAlarmTime;

    @ExcelProperty(value = "设备编号" ,index = 2)
    private String deviceNo;

    @ExcelProperty(value = "水表电子号" ,index = 3)
    private String meterNo;

    @ExcelProperty(value = "设备型号" ,index = 4)
    private String deviceTypeName;

    @ExcelProperty(value = "公司" ,index = 5)
    private String companyName;

    @ExcelProperty(value = "部门" ,index = 6)
    private String deptName;

    @ExcelProperty(value = "安装地址" ,index = 7)
    private String address;

    @ExcelProperty(value = "处理时间" ,index = 8,converter = LocalDateTimeConverter.class)
    private LocalDateTime handleTime;
}
