package com.zcxk.rmcp.api.vo;

import com.zcxk.core.utils.ZoniotStringUtils;
import com.zcxk.rmcp.api.enums.DeviceStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备状态统计
 * @date 2021/7/21
 **/
@Data
public class StatusStatisticsVo {

    @ApiModelProperty(value="状态")
    private String status;

    @ApiModelProperty(value="总数")
    private int total;

    public String getStatus(){
        return StringUtils.isNumeric(status) ? DeviceStatusEnum.getMessage(status) : status;
    }
}
