package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 9:43
 */
@ApiModel(value="产品(设备类型)")
@Data
public class Product implements Serializable {
    @ApiModelProperty(value="")
    private Integer id;

    @ApiModelProperty(value="产品分类id")
    private Integer productCategoryId;

    @ApiModelProperty(value="厂商id")
    private Integer manufacturerId;

    @ApiModelProperty(value="产品名称")
    private String productName;

    @ApiModelProperty(value="产品型号")
    private String productModel;

    @ApiModelProperty(value="产品描述")
    private String productDesc;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="是否支持阀控，1是，0否")
    private Integer isSupportValve;

    @ApiModelProperty(value="阀控测点编码")
    private String valveMeasuringCode;

    @ApiModelProperty(value="读数测点编码")
    private String readingMeasuringCode;
}