package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Andy
 * @version V1.0
 **/
@ApiModel(value="com-zcxk-common-entity-ProductMeasuringPoint")
@Data
public class ProductMeasuringPoint extends BaseDO {

    @ApiModelProperty(value="设备类型")
    private Integer productId;

    @ApiModelProperty(value="测点编码")
    private String measuringCode;

    @ApiModelProperty(value="测点名称")
    private String measuringName;

    @ApiModelProperty(value="测点描述")
    private String measuringDesc;

    @ApiModelProperty(value="测点单位")
    private String measuringUnit;

    @ApiModelProperty(value="测点数据类型 1:离散 2：连续")
    private String measuringDataType;

}