package com.zcxk.evaluation.dao;

import com.zcxk.evaluation.entity.EvaluationItemEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zcxk.evaluation.vo.EvaluationItemVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sc_evaluation_itemDAO接口
 * @author: WYY
 * @date 2021-05-08 09:25
 */
@Mapper
public interface EvaluationItemMapper extends BaseMapper<EvaluationItemEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  evaluationItemEntity 实体类
     */
     Page<EvaluationItemEntity> findPage(IPage<EvaluationItemEntity> page,
                                       @Param("evaluationItem") EvaluationItemEntity evaluationItemEntity);

     EvaluationItemEntity findEvaluationItemById(Serializable id);


     List<EvaluationItemEntity> findList(EvaluationItemEntity evaluationItemEntity);

    List<EvaluationItemVo> findListItem(EvaluationItemEntity evaluationItemEntity);
}
