package com.zcxk.evaluation.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zcxk.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationResultTaskEntity
 * @Description: 考评结果任务详情
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@TableName("sc_evaluation_result_task")
public class EvaluationResultTaskEntity extends BaseEntity {

    @ApiModelProperty(value = "考评结果ID")
    private Integer evaluationResultId;

    @ApiModelProperty(value = "任务总数")
    private int totalCount;

    @ApiModelProperty(value = "已完成")
    private int completeCount;

    @ApiModelProperty(value = "待完成")
    private int noCompleteCount;

    @ApiModelProperty(value = "延期完成")
    private int delayCompleteCount;

    @ApiModelProperty(value = "完成率")
    private BigDecimal completionRate;

    @ApiModelProperty(value = "延期率")
    private BigDecimal delayRate;

}
