package com.zcxk.order.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zcxk.order.dao.WorkFlowLogMapper;
import com.zcxk.order.entity.WorkFlowLog;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * 工作流日志服务接口
 *
 * @author yjy
 * @since 2021-1-16
 */
@Service
public class WorkFlowLogService extends ServiceImpl<WorkFlowLogMapper, WorkFlowLog> {
    @Resource
    private WorkFlowLogMapper workFlowLogMapper;
    /**
     * 批量增加数据
     *
     * @param
     * @return
     */
    public boolean insert(WorkFlowLog workFlowLog) {
        return this.save(workFlowLog);
    }
    /**
     * 根据id查询数据
     *
     * @param id 所属公司
     * @return 单条数据
     */
    public WorkFlowLog selectById(Integer id){
        return this.getById(id);
    }
}
