package com.zcxk.dao;

import com.zcxk.dto.SceneDeviceAttributeDto;
import com.zcxk.entity.MonitorInfoEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_monitor_infoDAO接口
 * @author: WYY
 * @date 2020-12-02 09:29
 */
@Mapper
public interface MonitorInfoMapper extends BaseMapper<MonitorInfoEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  monitorInfoEntity 实体类
     */
     Page<MonitorInfoEntity> findPage(IPage<MonitorInfoEntity> page,
                                       @Param("monitorInfo") MonitorInfoEntity monitorInfoEntity);

     MonitorInfoEntity findMonitorInfoById(Serializable id);


     List<MonitorInfoEntity> findList(MonitorInfoEntity monitorInfoEntity);

    List<SceneDeviceAttributeDto> findAttributeList(@Param("report") SceneDeviceAttributeDto reportDto);

    List<SceneDeviceAttributeDto> findAttributeListForLastDay(@Param("report") SceneDeviceAttributeDto reportDto);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
