package com.zcxk.dao;

import com.zcxk.entity.ParmSettingEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_parm_settingDAO接口
 * @author: WYY
 * @date 2021-05-11 10:30
 */
@Mapper
public interface ParmSettingMapper extends BaseMapper<ParmSettingEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  parmSettingEntity 实体类
     */
     Page<ParmSettingEntity> findPage(IPage<ParmSettingEntity> page,
                                       @Param("parmSetting") ParmSettingEntity parmSettingEntity);

     ParmSettingEntity findParmSettingById(Serializable id);


     List<ParmSettingEntity> findList(ParmSettingEntity parmSettingEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
