package com.zcxk.dao;

import com.zcxk.entity.ThingyearSettingEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sms_thingyear_settingDAO接口
 * @author: WYY
 * @date 2020-12-28 15:18
 */
@Mapper
public interface ThingyearSettingMapper extends BaseMapper<ThingyearSettingEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  thingyearSettingEntity 实体类
     */
     Page<ThingyearSettingEntity> findPage(IPage<ThingyearSettingEntity> page,
                                       @Param("thingyearSetting") ThingyearSettingEntity thingyearSettingEntity);

     ThingyearSettingEntity findThingyearSettingById(Serializable id);


     List<ThingyearSettingEntity> findList(@Param("thingyearSetting") ThingyearSettingEntity thingyearSettingEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
