package com.zcxk.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.common.converter.Double3Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("监测数据集合")
@Data
public class SecDataCollectDto {
    @ApiModelProperty("公司名称")
    private String comName;
    @ApiModelProperty("泵站个数")
    private Integer count;
    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("今日供水量or今日出水量")
    private Double yieldWaterUsage;
}
