package com.zcxk.dto.homePage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.util.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @description
 * @auto wangli
 * @data 2021/3/1 16:25
 */
@Api("合格率")
@Data
public class WaterQualityRateForScene {

    @ApiModelProperty("余氯")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal chlorine;
    @ApiModelProperty("浊度")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal turbidity;
    @ApiModelProperty("COD")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal cod;
    @ApiModelProperty("PH")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal ph;
    @ApiModelProperty("压力")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal pressure;



}
