package com.zcxk.quartz.entity;

import java.time.LocalDateTime;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QuartzEntity {
	@ApiModelProperty(value = "任务名称")
	private String jobName;//任务名称，建议格式 站点-场景-计划名称
	@ApiModelProperty(value = "任务分组")
	private String jobGroup;//任务分组, 考勤使用attendance,巡检使用inspection
	@ApiModelProperty(value = "任务描述")
	private String description;//任务描述
	@ApiModelProperty(value = "执行类")
	private String jobClassName;//执行类
	@ApiModelProperty(value = "执行时间")
	private String cronExpression;//执行时间
	@ApiModelProperty(value = "触发器名称")
	private String triggerName;//执行时间
	@ApiModelProperty(value = "任务状态")
	private String triggerState;//任务状态
	@ApiModelProperty(value = "任务开始时间")
	private LocalDateTime startDate ;// 任务开始时间
	@ApiModelProperty(value = "任务结束时间")
	private LocalDateTime endDate ; // 任务结束时间
	@ApiModelProperty(value = "任务参数")
	private Map<String,Object> jobData ; //任务参数
}
