package com.zcxk.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("查询条件")
public class QueryCondition {
    @ApiModelProperty(value = "主键数组")
    Long[] ids;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "起始时间 yyyy-MM-dd" )
    private String beginTime;

    @ApiModelProperty(value = "结束时间 yyyy-MM-dd")
    private String endTime;

    @ApiModelProperty(value ="页数")
    private Integer pageNum;

    @ApiModelProperty(value ="条数")
    private Integer pageSize;

}
