package com.zcxk.charge.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
/**
 * @author  andy
 */
@Data
@ApiModel("报表标题返回参数")
public class ReportTitleDto implements Serializable {

    private static final long serialVersionUID = 4074399088580570408L;


    @ApiModelProperty("归类")
    private String classify;
    @ApiModelProperty("设备子节点")
    private List<DeviceChildren> deviceChildren;

    @Data
    public static class DeviceChildren implements Serializable {
        @ApiModelProperty("设备名字")
        private String name;
        @ApiModelProperty("参数ID")
        private String paramId;
        @ApiModelProperty("统计维度")
        private List<StatisticalDimension> dimensionList;
    }

    @Data
    public static class StatisticalDimension implements Serializable {
        @ApiModelProperty("维度名字")
        private String dimensionName;
        @ApiModelProperty("维度key")
        private String dimensionKey;
    }


}
