package com.zcxk.charge.api.dto.query;

import com.zcxk.charge.api.dto.BasePageDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/16
 **/
@Data
public class DevicePageDto extends BasePageDto {

    @ApiModelProperty(value = "设备编号/名称")
    private String condition;

    @ApiModelProperty(value = "所属公司")
    private Integer companyOrgId;

    @ApiModelProperty(value = "所属部门")
    private Integer deptOrgId;

    @ApiModelProperty(value = "所属场景id")
    private  Integer sceneId;

    @ApiModelProperty(value = "设备状态")
    private Integer enableState;

    @ApiModelProperty(value = "场景查询范围：1 不查询子级；0 查询子级")
    private Integer searchType;
}
