package com.zcxk.charge.api.dto.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/17
 **/
@Data
public class SceneDto  {


    @ApiModelProperty(value = "设备或场景ID")
    private int id;

    @ApiModelProperty(value = "设备或场景标识(1:设备;2:场景)")
    private int sort;

    @ApiModelProperty(value = "统计类型:0-按月统计,1-按年统计,2-自定义统计")
    private int statsType;

    @ApiModelProperty(value = "统计时间:月格式(yyyy-MM),年格式(yyyy),自定义统计时间开始日期")
    private String startDate;
    
    @ApiModelProperty(value = "统计时间:年月统计不用传入此参数,自定义统计截至日期")
    private String endDate;
}
