package com.zcxk.charge.api.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author  andy
 */
@ApiModel(value = "报警信息")
@Data
public class DeviceAlarmInfoForOrderVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报警id")
    private Long alarmId;

    @ApiModelProperty(value = "一级场景名称")
    private Integer parentSceneId;

    @ApiModelProperty(value = "一级场景名称")
    private String parentSceneName;


    @ApiModelProperty(value = "报警类型：状态报警，参数报警")
    private String alarmType;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "属性名称")
    private String attributeName;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "设备id")
    private Long deviceId;


    @ApiModelProperty(value = "租户id")
    private String tenantId;

    @ApiModelProperty(value = "公司机构id")
    private String companyOrgId;

    @ApiModelProperty(value = "部门机构id")
    private String departmentOrgId;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "报警时间")
    private String orderTime;

    @ApiModelProperty(value = "工单描述")
    private String taskDesc;

    @ApiModelProperty(value = "经纬度")
    private String geo;

}