package com.zcxk.core.common.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Andy
 * @description: 默认共用dto
 * @date 2021/7/16
 * @version V1.0
 **/
@Data
@ApiModel(value = "默认共用dto")
public class BaseDto implements Serializable {

    /**
     * 创建时间
     **/
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建人名称
     **/
    @ApiModelProperty(value = "创建人名称")
    private String creatorName;

    /**
     * 创建人Id
     **/
    @ApiModelProperty(value = "创建人id")
    private String creatorId;

    /**
     * 修改人Id
     **/
    @ApiModelProperty(value = "修改人id")
    private String modifierId;

    /**
     * 修改人名称
     **/
    @ApiModelProperty(value = "修改人名称")
    private String modifierName;

    /**
     * 修改时间
     **/
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
