package com.zcxk.core.mongo.base;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @Description: 实体统一属性
 * @Copyright: Copyright (c) 2019 iask.cn
 * @Author: Richard
 * @Date : 2019/8/26 14:28
 * @Version: V 1.0.0
 */

@Data
public class BaseDO implements Serializable {

    private Long id;

    /**
     * 创建时间
     **/
    private Date createTime;

    /**
     * 创建人名称
     **/
    private String creatorName;

    /**
     * 创建人Id
     **/
    private String creatorId;

    /**
     * 修改人Id
     **/
    private String modifierId;

    /**
     * 修改人名称
     **/
    private String modifierName;

    /**
     * 修改时间
     **/
    private Date updateTime;

}
