package com.zcxk.rmcp.api.dto.install;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-07-28 16:46
 */
@Data
public class InstallDeviceDto {
    @ApiModelProperty(value="编号")
    private Integer id;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="设备编号")
    private String deviceNo;

    @ApiModelProperty(value="电子号")
    private String meterNo;

    @ApiModelProperty(value="设备状态")
    private Integer deviceStatus;

    @ApiModelProperty(value="地址")
    private String address;

    @ApiModelProperty(value="读数")
    private String readData;

    @ApiModelProperty(value="阀门状态 0:关,1:开,2:无阀")
    private Integer valveStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="最后上报时间")
    private LocalDateTime lastReceiveTime;

    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccept;

    @ApiModelProperty(value="产品名称")
    private String productName;

    @ApiModelProperty(value="产品型号")
    private String productModel;

    @ApiModelProperty(value="厂商名称")
    private String manufacturerName;
}
