package com.zcxk.rmcp.api.dto.install;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author linqingwei
 * @date 2021-07-28 15:00
 */
@Data
public class InstallListDto {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="安装计划数据id")
    private Long installPlanDataId;

    @ApiModelProperty(value="门牌")
    private String doorNo;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="设备状态")
    private Integer deviceStatus;

    @ApiModelProperty(value="是否已安装，0否1是")
    private Integer isInstalled;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccepted;
}
