package com.zcxk.rmcp.api.dto.meterreplace;

import com.zcxk.rmcp.api.dto.BasePageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @author Andy
 * @version V1.0
 * @description: 换表记录分页查询
 * @date 2021/7/19
 **/
@Data
@ToString
@ApiModel(value="换表记录分页查询")
public class MeterReplacePageDto extends BasePageDto {

    @ApiModelProperty(value = "电子号/档案号")
    private String deviceNo;

    @ApiModelProperty(value = "更换方案，1 更换模块，2:更换整表")
    private Integer replaceMethod;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

}
