package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备地图数据
 * @date 2021/7/22
 **/
@Data
public class DeviceMapDataVo {

    @ApiModelProperty(value="分类设备小区信息")
    private List<ProductCategoryCommunityVo> categoryCommunityVos;

    @ApiModelProperty(value="小区分类设备信息")
    private List<CommunityProductCategoryVo> communityCategoryVos;

    @ApiModelProperty(value="设备信息")
    private List<DeviceNoCellVo> noCellVoList;

}
