package com.zcxk.rmcp.core.dao;

import com.zcxk.rmcp.api.vo.ProductMeasuringDictVo;
import com.zcxk.rmcp.core.entity.ProductMeasuringDict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Andy
 * @version V1.0
 **/
@Mapper
public interface ProductMeasuringDictMapper {

   /**
   * 添加数据
   * @author Andy
   * @date 15:00 2021/8/3
   * @param record:
   * @return int
   **/
    int insertSelective(ProductMeasuringDict record);

    /**
    * 更新数据
    * @author Andy
    * @date 15:00 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(ProductMeasuringDict record);

    /**
    * 查询数据
    * @author Andy
    * @date 15:00 2021/8/3
    * @param pointId:
    * @return java.util.List<com.zcxk.rmcp.api.vo.ProductMeasuringDictVo>
    **/
    List<ProductMeasuringDictVo> getList(@Param("pointId") Integer pointId);
}