package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-23 15:52
 */
@ApiModel(value="com-zcxk-rmcp-core-entity-ImportFile")
@Data
public class ImportFile {
    @ApiModelProperty(value="")
    private Integer id;

    /**
    * 租户
    */
    @ApiModelProperty(value="租户")
    private String tenantId;

    /**
    * 用户id
    */
    @ApiModelProperty(value="用户id")
    private Integer userId;

    @ApiModelProperty(value="")
    private Integer type;

    /**
    * 导入文件路径
    */
    @ApiModelProperty(value="导入文件路径")
    private String importFilePath;

    /**
    * 导入文件名称
    */
    @ApiModelProperty(value="导入文件名称")
    private String importFileName;

    /**
    * 失败文件路径
    */
    @ApiModelProperty(value="失败文件路径")
    private String failFilePath;

    /**
    * 导入状态
    */
    @ApiModelProperty(value="导入状态")
    private Integer importStatus;

    /**
    * 成功次数
    */
    @ApiModelProperty(value="成功次数")
    private Integer successNum;

    /**
    * 失败次数
    */
    @ApiModelProperty(value="失败次数")
    private Integer failNum;

    @ApiModelProperty(value="")
    private Integer status;

    @ApiModelProperty(value="")
    private LocalDateTime createDate;

    @ApiModelProperty(value="")
    private String createBy;

    @ApiModelProperty(value="")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="")
    private String updateBy;
}