package com.zcxk.rmcp.core.mongo;


import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

@Data
@ApiModel("设备")
public class DeviceDataItem implements Serializable{

	@ApiModelProperty(value = "接收数据日期，yyyyMMdd", position = 1)
	private Integer receiveDate;
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "接收数据时间", position = 2)
	private Long receiveTime;
	@ApiModelProperty(value = "测点数据", position = 3)
	private Map<String,Object> measureData;
	
}
