package com.zcxk.rmcp.web.excel.model;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author linqingwei
 * @date 2021-07-27 17:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InstallMeterData {
    @ExcelProperty(index = 0)
    private Integer id;
    @ExcelProperty(index = 1)
    private String doorNo;
    @ExcelProperty(index = 2)
    private String meterNo;
    @ExcelProperty(index = 3)
    private String deviceNo;
    @ExcelProperty(index = 4)
    private String fileNo;
    @ExcelProperty(index = 5)
    private String sealNo;
    @ExcelProperty(index = 6)
    private String startDegree;
    @ExcelProperty(index = 7)
    private String endDegree;
    @ExcelProperty(index = 8)
    private String username;
    @ExcelProperty(index = 9)
    private String phone;
    @ExcelProperty(index = 10)
    private String idCard;
    @ExcelProperty(index = 11)
    private String remark;

    public InstallMeterData(Integer id, String doorNo, String fileNo, String username, String phone, String idCard) {
        this.id = id;
        this.doorNo = doorNo;
        this.fileNo = fileNo;
        this.username = username;
        this.phone = phone;
        this.idCard = idCard;
    }
}
