package com.zcxk.rmcp.web.service;

import com.zcxk.core.mysql.pageing.Pagination;
import com.zcxk.rmcp.api.dto.BasePageDto;
import com.zcxk.rmcp.api.dto.alarm.DeviceAlarmQueryDto;
import com.zcxk.rmcp.api.vo.DeviceAlarmVo;

import javax.servlet.http.HttpServletResponse;

/**
 * @author linqingwei
 * @date 2021-08-10 15:44
 */
public interface DeviceAlarmService {
    /*
     * @description 告警分页
     * @param dto
     * @param page
     * @return
     * @author linqingwei
     **/
    Pagination<DeviceAlarmVo> getPage(DeviceAlarmQueryDto dto, BasePageDto page);

    /*
     * @description 导出excel
     * @param dto
     * @param httpServletResponse
     * @return
     * @author linqingwei
     **/
    void exportExcel(DeviceAlarmQueryDto dto, HttpServletResponse httpServletResponse);
}
